// BaumHoehe.java                                   MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Anwendung der Tangensfunktion zur Berechnung von
 * Baumhoehen.
 * @author Monika Meiler
 */
public class BaumHoehe
{
/**
 * Eingabe der Baumdaten (Abstand, Winkel)
 * Ausgabe der Baumhoehe
 */
  public static void main( String[] args)
  {
    char weiter = 'j';
    do
    {
//Eingabe der Messdaten
      System.out.println();
      double abstand = IOTools.readDouble( "Abstand [cm]: ");
      System.out.println( abstand);

      double winkel = IOTools.readDouble( "Winkel [GRD]: ");
      System.out.println( winkel);

// Berechnung der Baumhoehe
      Tangens tan = new Tangens();
      double hoehe = 100 + abstand
                   * tan.wert( winkel * Math.PI / 180);

// Ausgabe der Baumhoehe
      if( hoehe > 0 && winkel < 90 && winkel > -90)
        System.out.println( "Hoehe: " + hoehe);
      else                       // Fehler in den Messdaten
        System.out.println( "Messfehler in der Eingabe");

// Weiter
      System.out.println();
      weiter = IOTools.readChar( "Noch ein Baum (j/n)? ");
    } while( weiter == 'j');

    System.out.println();
    System.out.println( "Baumberechnung beendet");
  }
}