// SonnenStand.java                                 MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Anwendung der Cotangensfunktion zur Berechnung
 * des Sonenstandes.
 * @author Monika Meiler
 */
public class SonnenStand
{
/**
 * Eingabe der Scahttenlaenge des Stabes (100 cm)
 * Ausgabe der Sonnenstand
 * ( Winkel zwischen Sonnenstrahl und Horizont)
 */
  public static void main( String[] args)
  {
    char weiter = 'j';
    do
    {
//Eingabe der Messdaten
      System.out.println();
      double schatten
      = IOTools.readDouble( "Schatten [cm]: ");
      System.out.println( schatten);

      double winkel = 90;
      if( schatten != 0)
      {
// Berechnung des Sonnenstandes
        Arctan arctan = new Arctan();
        winkel= arctan.wert( 100 / schatten);
        winkel *= 180 / Math.PI;              // RAD -> GRD
      }

// Ausgabe der Baumhoehe
      if( winkel <= 90 && winkel > 0)
        System.out.println
        ( "Sonnenhoehe [GRD]: " + winkel);
      else                       // Fehler in den Messdaten
        System.out.println( "Messfehler in der Eingabe");

// Weiter
      System.out.println();
      weiter
      = IOTools.readChar( "Noch ein Sonnenstand (j/n)? ");
    } while( weiter == 'j');

    System.out.println();
    System.out.println( "Berechnung beendet");
  }
}